import { PlusOutlined } from '@ant-design/icons';
import { Button, message, Input, Drawer, Modal, Space, Tag,Popconfirm } from 'antd';
import React, { useState, useRef, useEffect } from 'react';
import { PageContainer, FooterToolbar } from '@ant-design/pro-layout';
import ProTable from '@ant-design/pro-table';
import {bomPage} from './services';

const GoodsBomsManage = (props) => {
  const actionRef = useRef();
  const [modalVisible, setModalVisible] = useState(false);

  useEffect(() => {

  }, []);


  const columns = [
    {
      title: '主键',
      dataIndex: 'id',
      key: 'id',
      hideInTable: true,
      hideInSearch: true,
      tip: '规则名称是唯一的 key',
    },
    {
      title: '配方名称',
      key: 'name',
      dataIndex: 'name',
      valueType: 'textarea',
    },
    {
      title: '配方类型',
      dataIndex: 'isMain',
      hideInForm: true,
      valueEnum: {
        false: {
          text: '辅料',
          status: 'Processing',
        },
        true: {
          text: '主料',
          status: 'Success',
        },
      },
    },
    {
      title: '操作',
      dataIndex: 'option',
      valueType: 'option',
      render: (_, record) => [
        <a
          key="primary"
          type="primary"
          onClick={() => {
            setUpdateBomVisible(true);
            setBomId(record.bomId)
          }}
        >
          更新
        </a>,
        <a
          key="primary"
          type="primary"
          onClick={() => {
            setBomBatchingVisible(true);
            setBomId(record.bomId)
          }}
        >
          配方详情
        </a>,
        <Popconfirm
          type="primary"
          key="primary"
          title="确认删除吗？"
          okText="是"
          cancelText="否"
          onConfirm={async () => {
            
          }}
          onCancel={() => { }}
        >
          <a href="#">删除</a>
        </Popconfirm>,
      ],
    }
  ]


  return (
    <PageContainer header={{
      title: '',
      breadcrumb: {},
    }}>
       <ProTable
          columns={columns}
          actionRef={actionRef}
          rowKey="id"
          toolBarRender={() => [
            <Button
              type="primary"
              key="primary"
              onClick={() => {
                setModalVisible(true);
              }}
            >
              <PlusOutlined /> 新建
            </Button>,
          ]}

          request={async (params) => {
            var total = 0;
            var data=[];
              const res = await bomPage(params);
              if(res.statusCode==200){
                data=res.data.data;
                total=res.data.total;
              }
              return {
                data: data,
                success: true,
                total: total,
              };

          }}
          rowSelection={{
            onChange: (_, selectedRows) => setSelectedRows(selectedRows),
          }}
        />
      
    </PageContainer>
  );
};

export default GoodsBomsManage;
